Debian Bug report logs - #628346
snacc: FTBFS: aclocal: macro `_LT_DECL_SED' required but not defined

version graph

Package: src:snacc; Maintainer for src:snacc is Balint Reczey <balint@balintreczey.hu>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 28 May 2011 14:19:00 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version snacc/1.3bbn-10

Fixed in version snacc/1.3.1-1

Done: Eloy Paris <peloy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, W. Martin Borgert <debacle@debian.org>:
Bug#628346; Package src:snacc. (Sat, 28 May 2011 14:19:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to W. Martin Borgert <debacle@debian.org>. (Sat, 28 May 2011 14:19:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: snacc: FTBFS: aclocal: macro `_LT_DECL_SED' required but not defined
Date: Sat, 28 May 2011 16:15:48 +0200
Source: snacc
Version: 1.3bbn-10
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110528 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-snacc_1.3bbn-10-amd64-ONlXf4/snacc-1.3bbn'
> if test -e /usr/share/misc/config.guess ; then \
> 		for i in ./config.guess ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.guess $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> if test -e /usr/share/misc/config.sub ; then \
> 		for i in ./config.sub ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.sub $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> make[1]: Leaving directory `/build/user-snacc_1.3bbn-10-amd64-ONlXf4/snacc-1.3bbn'
> if test -e /usr/share/misc/config.guess ; then \
> 		for i in ./config.guess ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.guess $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> if test -e /usr/share/misc/config.sub ; then \
> 		for i in ./config.sub ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.sub $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> mkdir -p c-lib/Cebuf c-lib/ebuf c-lib/mbuf c-lib/sbuf c-lib/tbl \
> 		 c++-lib/c++
> AUTOMAKE=automake-1.7 ACLOCAL=aclocal-1.7 autoreconf -fi
> aclocal: macro `_LT_DECL_SED' required but not defined
> aclocal: macro `_LT_FUNC_STRIPNAME_CNF' required but not defined
> autoreconf: aclocal-1.7 failed with exit status: 1
> make: *** [post-patches] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/28/snacc_1.3bbn-10_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, W. Martin Borgert <debacle@debian.org>:
Bug#628346; Package src:snacc. (Fri, 09 Mar 2012 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to W. Martin Borgert <debacle@debian.org>. (Fri, 09 Mar 2012 17:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 628346@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: 628346@bugs.debian.org
Subject: snacc: FTBFS: aclocal: macro `_LT_DECL_SED' required but not defined
Date: Fri, 9 Mar 2012 18:48:37 +0100
I'll upload a patch and possibly adopt this package in a few days.
I'll set a new upstream at https://github.com/nexgenta/snacc.

Cheers,
Balint




Information forwarded to debian-bugs-dist@lists.debian.org, W. Martin Borgert <debacle@debian.org>:
Bug#628346; Package src:snacc. (Tue, 13 Mar 2012 20:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to W. Martin Borgert <debacle@debian.org>. (Tue, 13 Mar 2012 20:33:07 GMT) Full text and rfc822 format available.

Message #15 received at 628346@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: 628346@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: Re: snacc: FTBFS: aclocal: macro `_LT_DECL_SED' required but not defined
Date: Tue, 13 Mar 2012 21:30:28 +0100
tags 628346 patch
thanks

I have prepared a new package taking over the maintenance and fixing
most of the open issues:
http://anonscm.debian.org/gitweb/?p=collab-maint/snacc.git;a=summary

I can't upload it myself as a DM, but I'm looking for a sponsor privately.

Cheers,
Balint

2012/3/9, Bálint Réczey <balint@balintreczey.hu>:
> I'll upload a patch and possibly adopt this package in a few days.
> I'll set a new upstream at https://github.com/nexgenta/snacc.
>
> Cheers,
> Balint
>




Added tag(s) patch. Request was from Bálint Réczey <balint@balintreczey.hu> to control@bugs.debian.org. (Tue, 13 Mar 2012 20:33:10 GMT) Full text and rfc822 format available.

Reply sent to Eloy Paris <peloy@debian.org>:
You have taken responsibility. (Thu, 22 Mar 2012 21:24:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 22 Mar 2012 21:24:10 GMT) Full text and rfc822 format available.

Message #22 received at 628346-close@bugs.debian.org (full text, mbox):

From: Eloy Paris <peloy@debian.org>
To: 628346-close@bugs.debian.org
Subject: Bug#628346: fixed in snacc 1.3.1-1
Date: Thu, 22 Mar 2012 21:20:23 +0000
Source: snacc
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
snacc, which is due to be installed in the Debian FTP archive:

libsnacc-dev_1.3.1-1_i386.deb
  to main/s/snacc/libsnacc-dev_1.3.1-1_i386.deb
libsnacc0c2_1.3.1-1_i386.deb
  to main/s/snacc/libsnacc0c2_1.3.1-1_i386.deb
snacc-doc_1.3.1-1_all.deb
  to main/s/snacc/snacc-doc_1.3.1-1_all.deb
snacc_1.3.1-1.debian.tar.gz
  to main/s/snacc/snacc_1.3.1-1.debian.tar.gz
snacc_1.3.1-1.dsc
  to main/s/snacc/snacc_1.3.1-1.dsc
snacc_1.3.1-1_i386.deb
  to main/s/snacc/snacc_1.3.1-1_i386.deb
snacc_1.3.1.orig.tar.bz2
  to main/s/snacc/snacc_1.3.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eloy Paris <peloy@debian.org> (supplier of updated snacc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Mar 2012 20:40:57 +0100
Source: snacc
Binary: snacc libsnacc-dev libsnacc0c2 snacc-doc
Architecture: source all i386
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Balint Reczey <balint@balintreczey.hu>
Changed-By: Eloy Paris <peloy@debian.org>
Description: 
 libsnacc-dev - ASN.1 to C or C++ or IDL compiler, development files
 libsnacc0c2 - ASN.1 to C or C++ or IDL compiler, shared libraries
 snacc      - ASN.1 to C or C++ or IDL compiler
 snacc-doc  - ASN.1 to C or C++ or IDL compiler, documentation
Closes: 506439 547784 572884 628346 648590 654403
Changes: 
 snacc (1.3.1-1) unstable; urgency=low
 .
   * Adopting the package (Closes: #572884)
   * New upstream release 1.3.1 from new upstream
     - fix autoreconf warnings (Closes: #506439)
     - fix FTBS with -Werror=format-security (Closes: #654403)
     - use std::endl in asn-len.h (Closes: #547784)
   * Depend on dh-autoreconf instead of automake1.7 and autoconf
     (Closes:#648590, #628346)
   * Don't ship .la files in libsnacc-dev
   * Depend on debhelper >= 9
   * Use dh_clean for make clean
   * Drop simple patch system
Checksums-Sha1: 
 0921661cd9c57b849467d0b7af4ca6d17e9d8e22 1410 snacc_1.3.1-1.dsc
 875d033f3521f5c9ab96dbbc10ef1dc595abfa13 662571 snacc_1.3.1.orig.tar.bz2
 b4155b22ad9ff1490737a57e86c5635989203cff 8471 snacc_1.3.1-1.debian.tar.gz
 d0e213b505dfbce9ed4a13ba3dcf47443d2265bb 278098 snacc-doc_1.3.1-1_all.deb
 9bb991829d9bf543d6bff3e9176bcbd0f5ca3d2c 201672 snacc_1.3.1-1_i386.deb
 d606f3be3d0b9006d390f74671ce5df82fbe8122 255244 libsnacc-dev_1.3.1-1_i386.deb
 3dda2aef0b371bdc60dc94215c1733aa5e0567a3 177436 libsnacc0c2_1.3.1-1_i386.deb
Checksums-Sha256: 
 b8cd89a73ddb69a75b624f159f0f12d94c5e1afe5d5fb6aaa2a1c149b916c991 1410 snacc_1.3.1-1.dsc
 904014397bf09c5dadaf3b84068e55f1e95c521446613f6e57ae31367240f1f2 662571 snacc_1.3.1.orig.tar.bz2
 343debeffb6fd93109d957aee1d4e989c9117da601c9013a6c7fd523a1371e3e 8471 snacc_1.3.1-1.debian.tar.gz
 e418dd1523d425b7b5ddd676434c48de0f8cdfaaa767b544cd72e472ce104012 278098 snacc-doc_1.3.1-1_all.deb
 cf9960c68c2266804857356233e514a25af33b0843120f2851ef797d91bdbea7 201672 snacc_1.3.1-1_i386.deb
 e49113027282e92a51eb905170f1b03187f5eeaed2b187b2ac418c752b0bff0a 255244 libsnacc-dev_1.3.1-1_i386.deb
 29a6b263f952e29863891f5f6e1a3b2b8b864c0f19fc54bc277513dc090e072f 177436 libsnacc0c2_1.3.1-1_i386.deb
Files: 
 82a501496061611cf50509368583db80 1410 devel optional snacc_1.3.1-1.dsc
 99278080035e7c04ac4e505518047274 662571 devel optional snacc_1.3.1.orig.tar.bz2
 5666a45fb5b3eca5ba577e712eaa760e 8471 devel optional snacc_1.3.1-1.debian.tar.gz
 6497e6bec3931cbff9bc171db6134dd1 278098 doc optional snacc-doc_1.3.1-1_all.deb
 00127cb9fe466b36105fd1e212f65ea3 201672 devel optional snacc_1.3.1-1_i386.deb
 c4dcd7bb6f6b16068870a3b0da5d2c47 255244 libdevel optional libsnacc-dev_1.3.1-1_i386.deb
 f5b3f68f4a9ff1b45d45a0ec65987577 177436 libs optional libsnacc0c2_1.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9rhucACgkQagjTfAtNY9iAtwCgn/ZloOJDbCQBBr8Xp/zjb2ou
su4An2c+++vltji1jmYQqgLzPtQvLasI
=op2W
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Apr 2012 07:34:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:50:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.